MVP.Data.Numeric2MVP {rMVP} | R Documentation

## MVP.Data.Numeric2MVP: To transform Numeric data to MVP package Author: Haohao Zhang Build date: Sep 12, 2018

### Description

MVP.Data.Numeric2MVP: To transform Numeric data to MVP package Author: Haohao Zhang Build date: Sep 12, 2018

### Usage

    MVP.Data.Numeric2MVP(num_file, map_file, out = "mvp", maxLine = 10000,
      priority = "speed", row_names = FALSE, col_names = FALSE,
      type.geno = "char", auto_transpose = TRUE, verbose = TRUE)

### Arguments

`num_file` | Genotype in Numeric format (0,1,2)
`map_file` | Genotype map file, SNP_name, Chr, Pos
`out` | the name of output file
`maxLine` | the max number of line to write to big matrix for each loop
`priority` | 'memory' or 'speed'
`row_names` | whether the numeric genotype has row names
`col_names` | whether the numeric genotype has column names
`type.geno` | the type of genotype elements
`auto_transpose` | whether to detecte the row and column
`verbose` | whether to print the reminder

### Value

number of individuals and markers. Output files: genotype.desc, genotype.bin: genotype file in bigmemory format phenotype.phe: ordered phenotype file, same taxa order with genotype file map.map: SNP information

### Examples

    numericPath <- system.file("extdata", "04_numeric", "mvp.num", package = "rMVP")
    mapPath <- system.file("extdata", "07_other", "mvp.map", package = "rMVP")
    MVP.Data.Numeric2MVP(numericPath, mapPath, file.path(tempdir(), "rMVP.test"))

[Package rMVP version 0.99.15 Index]